# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hgettext

Name:           ghc-%{pkg_name}
Version:        0.1.30
Release:        9%{?dist}
Summary:        Haskell binding to libintl

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-setlocale-devel
BuildRequires:  ghc-uniplate-devel
# End cabal-rpm deps

%description
Bindings to libintl.h (gettext, bindtextdomain).


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


# no license file!
%files -f %{name}.files


%files devel -f %{name}-devel.files
%{_bindir}/%{pkg_name}


%changelog
* Fri Jul  3 2015 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-9
- Rebuilt for ghc-setlocale 1.0.0.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.30-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr  3 2015 Jens Petersen <petersen@redhat.com> - 0.1.30-7
- rebuild

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.1.30-6
- cblrpm refresh

* Fri Dec 12 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-5
- Rebuilt for libHSbase changes

* Wed Sep 17 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-4
- Rebuilt for ghc-setlocale 1.0.0.1

* Sun Aug 31 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-3
- Rebuilt for ghc-setlocale 1.0.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-1
- spec file generated by cabal-rpm-0.8.11
